qocgpiywhm
API Reference

Check URL Status

POST
/api/v1/tools/check_url_status

Use to probe a URL for live HTTP status, final URL, redirects, content-type, and whether the response is HTML. Does not return the page body.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

const body = JSON.stringify({  "url": "https://www.python.org/"})fetch("https://example.com/api/v1/tools/check_url_status", {  method: "POST",  headers: {    "Content-Type": "application/json"  },  body})
{  "correlation_id": "00000000-0000-4000-8000-000000000001",  "data": {    "results": [      {        "data": {          "url": "https://www.python.org/",          "status_code": 200,          "ok": true,          "final_url": "https://www.python.org/",          "content_type": "text/html; charset=utf-8",          "response_time_ms": 130,          "url_changed": false,          "is_html": true,          "redirect_count": 0,          "redirect_history": [],          "probe_method": "HEAD",          "content_length": 11459        },        "meta": {          "url": "https://www.python.org/",          "via_proxy": false,          "retries": 0        }      }    ]  }}